> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contacts

> Get contacts by filters



## OpenAPI

````yaml GET /contacts
openapi: 3.0.1
info:
  title: Konvo API
  description: Access to your contact, broadcast, attribution & clicks data
  license:
    name: MIT
  version: 0.0.1
servers:
  - url: https://api.konvoai.com
security:
  - apiKeyAuth: []
paths:
  /contacts:
    get:
      description: Get contacts by filters
      parameters:
        - name: page
          in: query
          description: Pointer for the current page of the paginated query
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of results to return, maximum is 200
          schema:
            type: integer
            format: int32
        - name: fields
          in: query
          description: >-
            Comma separated list of fields you want to retrieve from the
            contact. Omitting this will return all fields. Using this param will
            speed up requests
          schema:
            type: string
        - name: updated_at_min
          in: query
          description: Filter by contacts updated after a certain date
          schema:
            type: string
        - name: updated_at_max
          in: query
          description: Filter by contacts updated before a certain date
          schema:
            type: string
        - name: q
          in: query
          description: >-
            Search parameter. Looks in the fields (email, phone, name, etc) to
            find contacts in the database
          schema:
            type: string
      responses:
        '200':
          description: Get contacts response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ContactResponse:
      type: object
      properties:
        count:
          description: Total count of the request
          type: integer
        result:
          description: Resulting query
          type: array
          items:
            $ref: '#/components/schemas/Contact'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Contact:
      properties:
        firstName:
          type: string
          example: Jefferey
        lastName:
          type: string
          example: Bezos
        preferredName:
          type: string
          example: Jeff
        email:
          type: string
          example: jeff@amazon.com
        phoneNumber:
          type: string
          example: '15552345678'
        lastInteractionDate:
          type: string
          example: '2024-08-02T14:58:55.728Z'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagRef'
        optInStatus:
          type: string
          example: granted
        active:
          type: boolean
          example: 'true'
        createdAt:
          type: string
          example: '2024-08-02T14:58:55.728Z'
        source:
          type: string
          example: Klaviyo
        properties:
          type: array
        language:
          type: string
          example: en
        birthday:
          type: string
          example: '2024-08-02T14:58:55.728Z'
        orders:
          type: array
          items:
            $ref: '#/components/schemas/IdRef'
    TagRef:
      properties:
        id:
          type: string
          example: 01823bbc-96e0-4c0a-a9cd-0a41ede22d50
        label:
          type: string
          example: 'Giveaway #3'
        description:
          type: string
          example: ''
        color:
          type: string
          example: '#FFE3EA'
        category:
          type: string
          example: MARKETING
    IdRef:
      properties:
        id:
          type: string
          example: 1d2686c1-7342-475a-ba38-e13364807343
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````